---
weight: 4
title: "Instalación de VPS en Contabo"
date: 2024-06-18T22:56:21+0200
draft: true
summary: "Como montar tu propio VPS en Contabo"
categories:
- notes
tags:
- selfhosted
---

# Opciones en Contabo


# Instalación

Con el servidor recien instalado con nuestro S.O. escogido (Debian) nos conectamos desde nuestro PC.

```bash
ssh -o PreferredAuthentications=password root@38.242.142.112
```

Y hacemos la típica actualización:

```bash
apt update
apt upgrade
```

Install `git` y `etckeeper`:

```bash
apt install git
apt install git-crypt
apt install gnupg
git config --globar user.email "whaterver@mail.com"
git config --global user.name "Name Surname"
apt install etckeeper
```

Bibliotecas de compresión:

```bash
apt install zip unzip unace bzip2 lzop p7zip p7zip-full
```

Utilidades:

```bash
apt install most mc tree neofetch tmux aptitude rsync
```

Instalamos `sudo`:

```bash
apt install sudo
```

Instalamos `ufw`

```bash
apt install ufw
```

Vamos a añadir usuarios:

```bash
adduser --uid=1111 hostadmin
gpasswd -a hostadmin sudo

adduser salvari
gpasswd -a salvari sudo

adduser dockadmin
gpasswd -a dockadmin sudo
```

Desde nuestra estación de trabajo preparamos las claves de acceso al server remoto y las trasferimos al mismo.

```bash
ssh-keygen -b 4096 -t rsa    # Especificamos ~/.ssh/fomalhaut_rsa como salida

ssh-keygen -t ed25519 -a 100    # <-- Opción mas robusta

ssh-copy-id -i .ssh/newkey_ed25519 -o PreferredAuthentications=password remoteuser@host
```

El último paso lo repetimos para todos los usuarios remotos a los que queramos acceder, que no deberían ser muchos.

Cambiamos la configuración para que no se admintan login con password

# Configuración de cortafuegos

# Configuración de fail2ban




root - Torrezn0Melancolico
hostadmin - Torrezn0Melancolico
salvari - tesla fura macetas
dockadmin - margalo dreams
